<app-template-full-width [title]="myTitle">

  <button (click)="changeTitle()">Changer le titre</button>

  <app-table-light [headers]="clientHeaders">

    <tr *ngFor="let client of (clients$ | async)">
      <td>{{client.id}}</td>
      <td>{{client.nom | uppercase}}</td>
      <td>{{client.prenom | uppercase}}</td>
      <td>{{client.adresse}}</td>
      <td>{{client.societe}}</td>
      <td>{{client.totalCaHT | totalCa: client.tauxImposition | currency}}</td>
      <td appFiabilite [clientFiabilite]="client.fiabilite">
        <select (change)="updateFiabilite(client, $event)">
          <option *ngFor="let fiabilite of fiabiliteStatus" [value]="fiabilite"
                  [selected]="fiabilite === client.fiabilite">
            {{fiabilite}}
          </option>
        </select>
      </td>
      <td>
        <app-icon-edit (click)="goToEdit(client)"></app-icon-edit>
        <app-icon-delete (click)="deleteItem(client.id)"></app-icon-delete>

      </td>
    </tr>


  </app-table-light>

  <app-btn title="Add client" [route]="'add'"></app-btn>
</app-template-full-width>
